1. Si vous venez d'arriver sur le forum et que vous êtes un peu perdus, cliquez ici !
    Rejeter la notice

1.7.10 Besoin de decouverte

Discussion dans 'Mods' créé par AtyKlaxas, 7 Avr 2020.

  1. AtyKlaxas

    AtyKlaxas Nouveau

    Inscrit:
    7 Avr 2020
    Messages:
    5
    Points:
    0
    Bonjour, Bonsoir,

    Je me suis mis dans la tête de crée un Mods.
    J'ai envie de savoir ce qui est faisable avec des mods et d'en développer pour crée des items/blocks drôles ou des petit utilitaires bien sympas et que sais-je encore.
    Pour cela j'ai déjà une idée claire de ce que je veut:

    un mod minecraft en 1.7.10, qui vas me rajouter, un item, un bocks, et mes coordonnées ainsi qu'une liste des blocs rencontré.
    pourquoi 1.7.10 ? parce que c'est la version sur laquelle je joue, et je n'ai pas envie de changer de version (pour le moment)

    je me suis dis "Bhoa ez, je suis un tuto et avec mes compétences en C++ et les cours en Java que j'ai ue, ça devrais être simple, le code ne m'est pas complétement inconnus"
    j'avais oublié que le code c'est bien, mais savoir installer une instance de code, c'est mieux
    j'ai suivi plusieurs tuto, mais tous bloques au même point

    Code (cpp):
    gradlew setupDecompWorkspace
    sur le tuto, il exécutes la commande et ça telecharge, ça dé-obfusque et Paf les chocapic le café et le thé, on passe a la suite.
    moi j'ai un BUILD FAILED en rouge -_-
    ou sont passé toute les étapes ? j'ai rien telechargé et je build deja ? ni dé-obfusquation ni chocapic ni café, on passe au Build directement

    je me doute donc que les tuto sont outdated
    et j'aurais besoin de l'aide d'un plus compétent que moi pour me donner une marche a suivre plus correct que des tuto vieux de 5 ans

    Merci de vos réponses 'u'
     
  2. robin4002

    robin4002 Support Technique
    Staff

    Inscrit:
    17 Août 2012
    Messages:
    5 222
    Points:
    229
    Sexe:
    Homme
    Bonsoir,
    Le setup de la version 1.7.10 dépend de ressource en ligne qui ne sont plus disponible (en 5 ans les choses ont changés ...)
    Il y a des gens qui ont bricolé pour que cela passe quand même, mais je ne connais pas la manipulation (personnellement je recommande plutôt d'utiliser une version récente, les versions 1.14.4 et + étant plus agréable à modder étant donnée qu'elles utilisent des fonctionnalités plus moderne de Java).
     
  3. AtyKlaxas

    AtyKlaxas Nouveau

    Inscrit:
    7 Avr 2020
    Messages:
    5
    Points:
    0
    donc il fraudais que je trouve un setup dans les fin fond du web juste pour la 1.7.10 ? =/
    j'aime pas vraiment les nouvelles versions =/
     
  4. robin4002

    robin4002 Support Technique
    Staff

    Inscrit:
    17 Août 2012
    Messages:
    5 222
    Points:
    229
    Sexe:
    Homme
    J'en sais pas plus donc je ne vais pas pouvoir t'aider plus :/
     
  5. AtyKlaxas

    AtyKlaxas Nouveau

    Inscrit:
    7 Avr 2020
    Messages:
    5
    Points:
    0
    UPDATE !

    j'ai trouvé un post redit qui parle de ce problème
    https://www.reddit.com/r/MinecraftForge/comments/fdedcp/minecraft_forge_1710_gradlew_broken/
    il faut aller dans build.gradle et modifier mavenCentral() par maven { url = "https://repo1.maven.org/maven2/" }

    j'ai encore des problème avec un beau BUILD FAILED mais ça avance

    Update 2:

    dans E:\Minecraft\Forges\forge-1.7.10-10.13.4.1558\gradle\wrapper\gradle-wrapper.properties
    il Faut changer
    distributionUrl=https\://services.gradle.org/distributions/gradle-2.0-bin.zip
    en
    distributionUrl=https\://services.gradle.org/distributions/gradle-3.0-bin.zip

    sinon vous serez bloqué par http (pas s)
    par defaut gradle-2.0-bin.zip est en http la ou gradle-3.0-bin.zip est en https

    Code (cpp):
    Applying forge patches
    :remapJar
    :extractMinecraftSrc
    :recompMinecraft
    Note: Some input files use or override a deprecated API.
    Note: Recompile with -Xlint:deprecation for details.
    Note: Some input files use unchecked or unsafe operations.
    Note: Recompile with -Xlint:unchecked for details.
    :repackMinecraft
    :setupDecompWorkspace

    BUILD SUCCESSFUL

    Total time: 6 mins 17.974 secs
    E:\Minecraft\Forges\forge-1.7.10-10.13.4.1558>
    nikel
     
    #5 AtyKlaxas, 8 Avr 2020
    Dernière édition par un modérateur: 8 Avr 2020
  6. AtyKlaxas

    AtyKlaxas Nouveau

    Inscrit:
    7 Avr 2020
    Messages:
    5
    Points:
    0
    je me retrouve encore bloqué,


    ici, il lance le tout et il a dans la console ...jre7/bin/javaw ...
    moi j'ai Erreur : impossible de trouver ou charger la classe principale

    donc je cherche encore et encore
    mais impossible a avoir parce que oracle me fait une erreur system -_-

    je me suis rendu compte que je n'ai pas de configuration de éclipse dans run configuration
    que dois-je mettre dans ça ?
     
  7. AtyKlaxas

    AtyKlaxas Nouveau

    Inscrit:
    7 Avr 2020
    Messages:
    5
    Points:
    0
    https://i.snipboard.io/Ryhov.jpg

    icon play verte > run configuration > Java Application > nouveau >

    pour un client:
    name : RunClient
    Project : forge-1.7.10-10.13.4.1558 (ou le nom du projet de mod)
    Main class : GradleStart


    pour un server:
    name : RunServer
    Project : forge-1.7.10-10.13.4.1558 (ou le nom du projet de mod)
    Main class : GradleStartServer
     

Partager cette page